#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x1762f2bc, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x31e0785c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1903f741, "file_f_owner_allocate" },
	{ 0x6cd7eb41, "fasync_helper" },
	{ 0x5f1fac82, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x46bf6acd, "netdev_info" },
	{ 0x59c668ef, "netif_carrier_on" },
	{ 0x50058067, "netif_carrier_off" },
	{ 0x9ffa022c, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc86b9e11, "from_kuid_munged" },
	{ 0xff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x19ea703f, "bpf_prog_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xc3a306fe, "__skb_get_hash_symmetric_net" },
	{ 0x662e651b, "netif_tx_stop_all_queues" },
	{ 0x940e3985, "dev_get_tstats64" },
	{ 0x92997ed8, "_printk" },
	{ 0x868a0bce, "rtnl_link_register" },
	{ 0xcce0f9c2, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4aba3063, "misc_deregister" },
	{ 0xfd6aa7b8, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa7ee5bf5, "xdp_return_frame" },
	{ 0xf4521264, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xc9ada42d, "kill_fasync" },
	{ 0xff8a1799, "bpf_prog_put" },
	{ 0xb6666639, "sk_alloc" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc0f6538, "sock_init_data_uid" },
	{ 0xd63707ab, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x162326a6, "skb_queue_purge_reason" },
	{ 0x8021eba0, "napi_disable" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xfe4a58c, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xc1f52342, "__netif_napi_del" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4512f3c1, "module_put" },
	{ 0x561d4b61, "skb_copy_datagram_iter" },
	{ 0xd8e6cb88, "_copy_to_iter" },
	{ 0xadb5364d, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb49ab3b9, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x729956e, "build_skb" },
	{ 0x247d616e, "skb_put" },
	{ 0x61e0d2dd, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x2a52acdf, "netdev_core_stats_inc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xf727238, "security_tun_dev_attach" },
	{ 0x510e1295, "xdp_rxq_info_is_reg" },
	{ 0xe0604a50, "netif_set_real_num_tx_queues" },
	{ 0xe0e2a27c, "netif_set_real_num_rx_queues" },
	{ 0x8d0ad530, "lock_sock_nested" },
	{ 0x88fe983d, "sk_attach_filter" },
	{ 0xf694703, "release_sock" },
	{ 0x88095a2b, "__xdp_rxq_info_reg" },
	{ 0xf1e2efee, "xdp_rxq_info_reg_mem_model" },
	{ 0x61e8532a, "napi_enable" },
	{ 0xc49376ac, "netif_napi_add_weight" },
	{ 0xc6cbbc89, "capable" },
	{ 0xa335a241, "__dev_get_by_name" },
	{ 0x6323d1c, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x3701d766, "netdev_state_change" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x58aeb11d, "alloc_netdev_mqs" },
	{ 0xf27d4d77, "ip_tunnel_header_ops" },
	{ 0xe32ee5e4, "register_netdevice" },
	{ 0xce17cd55, "netif_tx_wake_queue" },
	{ 0x67ca432f, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf6babb7b, "dev_addr_mod" },
	{ 0x8f920ed6, "free_netdev" },
	{ 0x9af5a2d0, "napi_gro_receive" },
	{ 0xc46f3f04, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x1000e51, "schedule" },
	{ 0x80eac261, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xcf873764, "__skb_flow_dissect" },
	{ 0x19e59ffd, "skb_partial_csum_set" },
	{ 0xf23f0f7a, "__pskb_pull_tail" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf0da6e65, "sk_filter_trim_cap" },
	{ 0x987b5899, "skb_clone_tx_timestamp" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x235af4eb, "skb_tx_error" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd7302075, "skb_tstamp_tx" },
	{ 0x7f220dcb, "skb_copy_ubufs" },
	{ 0x3c566996, "___pskb_trim" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1879a748, "seq_printf" },
	{ 0x5cf99517, "xdp_do_redirect" },
	{ 0x1bd63ca0, "bpf_warn_invalid_xdp_action" },
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xba7658d2, "__traceiter_xdp_exception" },
	{ 0xb89da4c8, "xdp_return_frame_rx_napi" },
	{ 0xf5fc0b4c, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5ff6fccd, "napi_get_frags" },
	{ 0x649a52b9, "iov_iter_single_seg_count" },
	{ 0x7e0f3279, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x94f4b9f, "vmemmap" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x424ca0e8, "bpf_prog_get_type_dev" },
	{ 0x91bd536d, "kmalloc_caches" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x24bd8752, "skb_page_frag_refill" },
	{ 0xfa4849dd, "copy_page_from_iter" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x3959f2ac, "xdp_master_redirect" },
	{ 0x30a29339, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x1a1d8e8a, "sock_recv_errqueue" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xd1cac30c, "unregister_netdevice_queue" },
	{ 0x2b77bc23, "net_hotdata" },
	{ 0x8905092d, "eth_type_trans" },
	{ 0xc486c857, "do_xdp_generic" },
	{ 0x9db14ae3, "netif_receive_skb" },
	{ 0x9a12c63e, "__page_frag_cache_drain" },
	{ 0xa42e72cc, "_copy_from_iter" },
	{ 0xbbad5dac, "iov_iter_npages" },
	{ 0xef64fa75, "sock_alloc_send_pskb" },
	{ 0xaf60d911, "zerocopy_sg_from_iter" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa94373e0, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4579063f, "napi_schedule_prep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x26473b29, "iov_iter_revert" },
	{ 0x9dc4b515, "skb_push" },
	{ 0x6714ebcc, "eth_get_headlen" },
	{ 0x8f7e4054, "napi_gro_frags" },
	{ 0x22db1c5, "__napi_schedule" },
	{ 0x16106f31, "get_net_ns" },
	{ 0xe5274c30, "open_related_ns" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0xeea9187c, "netdev_update_features" },
	{ 0xe2053523, "make_kgid" },
	{ 0xa7ece5, "dev_get_mac_address" },
	{ 0x88bb44f3, "sk_detach_filter" },
	{ 0x56353d3e, "make_kuid" },
	{ 0x8de96939, "init_user_ns" },
	{ 0x6862acec, "from_kuid" },
	{ 0xca21706d, "dev_set_mac_address_user" },
	{ 0x9b11f70d, "call_netdevice_notifiers" },
	{ 0x1885ebc, "__module_get" },
	{ 0xd8e8aa3b, "from_kgid" },
	{ 0x56bab201, "ethtool_op_get_link" },
	{ 0xc0c0acae, "ethtool_op_get_ts_info" },
	{ 0xb3b4e06e, "passthru_features_check" },
	{ 0x5e107f7, "eth_mac_addr" },
	{ 0x1a7749b0, "eth_validate_addr" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B9261B66D5FCEC31DE17808");
MODULE_INFO(rhelversion, "10.1");
