#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xbdf9215b, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xd951abb2, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x2a26d3a6, "_gpl");
SYMBOL_CRC(fat_scan, 0xac6e92dd, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0x35a75889, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x118516ee, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x1f99a3a5, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xcb797e5b, "_gpl");
SYMBOL_CRC(fat_getattr, 0xdfff24b2, "_gpl");
SYMBOL_CRC(fat_setattr, 0xec38c850, "_gpl");
SYMBOL_CRC(fat_attach, 0xd9040bd6, "_gpl");
SYMBOL_CRC(fat_detach, 0x566c99dc, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x242154e6, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x606a2165, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x92b08aa0, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x3b1ef175, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xf9552ecb, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x3e1fddd6, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x01b157be, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x03860d83, "_gpl");
SYMBOL_CRC(fat_free_fc, 0xdf3bf7e1, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xe06a1047, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x1ab105d1, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x04a658a6, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x0e2ca6a3, "_gpl");
SYMBOL_CRC(fat_update_time, 0x49ab43b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37ac5039, "filemap_fdatawrite" },
	{ 0x93ae77a2, "generic_fillattr" },
	{ 0xafc09471, "setattr_prepare" },
	{ 0x7007a238, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xd63b78ea, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x171d98e8, "make_vfsgid" },
	{ 0xd8a7ca8b, "blk_start_plug" },
	{ 0x3b6f398d, "clear_inode" },
	{ 0xfe033807, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xa9ad65fd, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xd229fadf, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x893c1d80, "mark_buffer_dirty" },
	{ 0x43816d2c, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x774d890e, "__find_get_block" },
	{ 0xb39a1ac1, "filemap_fdatawrite_range" },
	{ 0x9038d32c, "inode_needs_sync" },
	{ 0x6932d8cf, "__blockdev_direct_IO" },
	{ 0x7d7e5733, "d_make_root" },
	{ 0xe3680dc2, "__bforget" },
	{ 0xdd625de4, "sb_set_blocksize" },
	{ 0x3306815d, "block_truncate_page" },
	{ 0xdbcf58f2, "write_dirty_buffer" },
	{ 0xcc11726d, "sync_filesystem" },
	{ 0x8119778, "fsnotify" },
	{ 0xfc65572f, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x888e6b6c, "from_vfsuid" },
	{ 0xea46ea1, "inode_dio_wait" },
	{ 0xe55eb3b6, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x7e02a86f, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xde3b2b47, "iput" },
	{ 0x8f05981c, "fs_param_is_enum" },
	{ 0xc92fc295, "fs_param_is_s32" },
	{ 0x21717577, "iter_file_splice_write" },
	{ 0x8d33348e, "fs_param_is_bool" },
	{ 0xe7ca67c8, "generic_file_write_iter" },
	{ 0x13c22977, "sync_inode_metadata" },
	{ 0xcdb08eea, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xec449d49, "fs_param_is_u32" },
	{ 0x4089df8d, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xdf7d984c, "block_invalidate_folio" },
	{ 0xc7f1c60c, "__breadahead" },
	{ 0x6930de0c, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x50dc0f3f, "load_nls" },
	{ 0xb89cef33, "generic_cont_expand_simple" },
	{ 0x55bcc59a, "truncate_inode_pages_final" },
	{ 0x59eeda9a, "generic_file_mmap" },
	{ 0x1cd657f1, "sync_mapping_buffers" },
	{ 0xefe4c16c, "ilookup" },
	{ 0xf5b7b472, "invalidate_inode_buffers" },
	{ 0x681ad3af, "blk_finish_plug" },
	{ 0x533536ae, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd4d62478, "mnt_drop_write_file" },
	{ 0x9b9e53e9, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x679e64c4, "inode_init_once" },
	{ 0xac9167b3, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x4fd35058, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x3d4e27f8, "generic_file_read_iter" },
	{ 0x4dbcdad0, "inode_maybe_inc_iversion" },
	{ 0x31c7317d, "truncate_pagecache" },
	{ 0x907de4d2, "sync_dirty_buffer" },
	{ 0x61a0d854, "setattr_copy" },
	{ 0x4ab606b4, "__wait_on_buffer" },
	{ 0xe24f3b6, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x374ff36b, "kmem_cache_alloc_lru_noprof" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xc0ad245e, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xbf30950, "from_vfsgid" },
	{ 0x2efe8a3e, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x261d9a73, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xaad69f4e, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x5eb8dbf3, "block_dirty_folio" },
	{ 0x81f75745, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4fd6632d, "__insert_inode_hash" },
	{ 0x3606617f, "buffer_migrate_folio" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xeee27d6d, "__kmem_cache_create_args" },
	{ 0x9ffa022c, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x5340e813, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4708f03f, "generic_encode_ino32_fh" },
	{ 0xb0baac89, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xecdc124, "igrab" },
	{ 0x8bf8d3f1, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc3147fe0, "mpage_readahead" },
	{ 0x7d8c77f7, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x8de96939, "init_user_ns" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x1879a748, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x303a6a29, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xe6e395a3, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x5e65403e, "generic_fh_to_parent" },
	{ 0x26bb7853, "__fs_parse" },
	{ 0x80881d66, "filemap_splice_read" },
	{ 0xc86b9e11, "from_kuid_munged" },
	{ 0x56bbd6c8, "__generic_file_fsync" },
	{ 0xee53e25b, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8b5a5ea7, "__mark_inode_dirty" },
	{ 0xbe25aa62, "generic_file_llseek" },
	{ 0xeb1b2d7c, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x690c9e97, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x53730157, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0x91bd536d, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x618eccfd, "fs_param_is_uid" },
	{ 0x66ab446f, "kmem_cache_destroy" },
	{ 0x29a179b8, "blkdev_issue_discard" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9BBCB43EF6FD213BAB3E9C8");
MODULE_INFO(rhelversion, "10.1");
