#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x9f808511, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xbdcd2ac8, "");
SYMBOL_CRC(ip_tunnel_rcv, 0xb94a350d, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x5e45b359, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x702f84e1, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xb05eb537, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x7546af98, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xdac9fe0e, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x6dc3af2a, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x53e7f64c, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x6bfdf906, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x02389a80, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0xa7b33454, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x773c9f4c, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x7d2e216d, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xd4d09fe5, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0xee860d7a, "");
SYMBOL_CRC(ip_tunnel_init_net, 0xcb926f3b, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x9bf672f5, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0xa9e682a7, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xdf9041de, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xbcef581e, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x5bf344cb, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xf39e91ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa7cf71cd, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xea79c6a3, "icmpv6_ndo_send" },
	{ 0x92150f37, "icmp_ndo_send" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58aeb11d, "alloc_netdev_mqs" },
	{ 0xe32ee5e4, "register_netdevice" },
	{ 0x8f920ed6, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd1cac30c, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6b462ac9, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xe798236d, "jiffies" },
	{ 0x1b9192b9, "skb_copy_bits" },
	{ 0x76ffde5e, "ip_route_output_flow" },
	{ 0xde76928d, "dst_release" },
	{ 0x6d3a6e54, "__dev_get_by_index" },
	{ 0x2af799bf, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xf6babb7b, "dev_addr_mod" },
	{ 0x3701d766, "netdev_state_change" },
	{ 0x6323d1c, "ns_capable" },
	{ 0xedadfddd, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8607670, "init_net" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xf4521264, "sk_skb_reason_drop" },
	{ 0x7ae036a0, "dst_cache_get_ip4" },
	{ 0x7e0f3279, "pskb_expand_head" },
	{ 0x6d202c7b, "iptunnel_xmit" },
	{ 0xdd0899db, "__skb_get_hash_net" },
	{ 0xcfcfd41a, "dst_cache_set_ip4" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x42f12607, "neigh_destroy" },
	{ 0xf23f0f7a, "__pskb_pull_tail" },
	{ 0x97ac26cf, "skb_scrub_packet" },
	{ 0x5cbdf58a, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x8905092d, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "03C298E04C100F6F121D46E");
MODULE_INFO(rhelversion, "10.1");
