#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x9709f93c, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xd920311e, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x42147cfc, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xf3d7e9c5, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x169b1b76, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x4467e2f2, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x17a5a2f0, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x21119980, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0xb69dc43e, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x275287ee, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x797cad58, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x70712e1f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xfebc7a12, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x1cb06e42, "ipv6_chk_addr_and_flags" },
	{ 0x72297f9f, "dev_get_by_index_rcu" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xb60dc37d, "register_pernet_device" },
	{ 0xbc76fc12, "xfrm6_tunnel_register" },
	{ 0x868a0bce, "rtnl_link_register" },
	{ 0x976cc4c8, "xfrm6_tunnel_deregister" },
	{ 0x76f45c9c, "unregister_pernet_device" },
	{ 0xff182e8, "nla_put" },
	{ 0xd1cac30c, "unregister_netdevice_queue" },
	{ 0xf6babb7b, "dev_addr_mod" },
	{ 0xa3179a31, "rt6_lookup" },
	{ 0xde76928d, "dst_release" },
	{ 0x6d3a6e54, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf27d4d77, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x8607670, "init_net" },
	{ 0x58aeb11d, "alloc_netdev_mqs" },
	{ 0x5ee394f3, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x8f920ed6, "free_netdev" },
	{ 0xfd6aa7b8, "rtnl_link_unregister" },
	{ 0xf61482ea, "ip6_local_out" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6b462ac9, "gro_cells_init" },
	{ 0x47dbd656, "__xfrm_policy_check" },
	{ 0x1439a7f3, "__skb_ext_del" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf23f0f7a, "__pskb_pull_tail" },
	{ 0xe32ee5e4, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x3701d766, "netdev_state_change" },
	{ 0x56353d3e, "make_kuid" },
	{ 0xb2572c4f, "ip6_redirect" },
	{ 0xb09220c1, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6e67d22d, "ip6_route_output_flags" },
	{ 0x677c56fd, "xfrm_lookup" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x97ac26cf, "skb_scrub_packet" },
	{ 0xade9a3f6, "skb_realloc_headroom" },
	{ 0x61e0d2dd, "skb_set_owner_w" },
	{ 0x80eac261, "consume_skb" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x691e892d, "ipv6_push_frag_opts" },
	{ 0x9dc4b515, "skb_push" },
	{ 0xf0a3f052, "dst_cache_get" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x45d8317a, "ipv6_dev_get_saddr" },
	{ 0x1b9192b9, "skb_copy_bits" },
	{ 0x9f41b7e5, "dst_cache_set_ip6" },
	{ 0x42f12607, "neigh_destroy" },
	{ 0xf034c07a, "ip6_dst_hoplimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x28d8bd4c, "iptunnel_handle_offloads" },
	{ 0xea79c6a3, "icmpv6_ndo_send" },
	{ 0x92150f37, "icmp_ndo_send" },
	{ 0xf4521264, "sk_skb_reason_drop" },
	{ 0x3ec239c4, "skb_clone" },
	{ 0xb02c10f4, "skb_pull" },
	{ 0xc138ef29, "icmp6_send" },
	{ 0x5cbdf58a, "gro_cells_receive" },
	{ 0x8905092d, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3db92910, "__iptunnel_pull_header" },
	{ 0x67ef1c98, "metadata_dst_alloc" },
	{ 0x76ffde5e, "ip_route_output_flow" },
	{ 0x46e11104, "ip_route_input_noref" },
	{ 0x7ac3ceb, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6323d1c, "ns_capable" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x940e3985, "dev_get_tstats64" },
	{ 0x10370efb, "param_ops_bool" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "A7DEC9C67BDC8FEFA1DDAC6");
MODULE_INFO(rhelversion, "10.1");
