#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xb31934ac, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x1547f12b, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0xac75bd13, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xa5cee698, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x275c6b16, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x4b39602b, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x8c510cea, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xc642c6e1, "");
SYMBOL_CRC(ip_vs_conn_put, 0x729ef88b, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x4dd5c125, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x38c8e156, "");
SYMBOL_CRC(register_ip_vs_app, 0x50aedcd9, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x3271b69e, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x5e605e33, "");
SYMBOL_CRC(ip_vs_proto_get, 0x95615ead, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x81c0c6ce, "");
SYMBOL_CRC(register_ip_vs_pe, 0x66126f19, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0x12c4e955, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x538b9f34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc955924f, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xac19c23e, "nf_conntrack_find_get" },
	{ 0x2d04ecf2, "try_module_get" },
	{ 0xd3f0f1be, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xc138ef29, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x1b9192b9, "skb_copy_bits" },
	{ 0x677c56fd, "xfrm_lookup" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x39bb6904, "housekeeping_cpumask" },
	{ 0x80eac261, "consume_skb" },
	{ 0xf61482ea, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x80fc56dd, "nf_register_sockopt" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xfe70de3, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x4da3ae05, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd11137d0, "kernel_bind" },
	{ 0xb0e628c8, "set_user_nice" },
	{ 0x6be260fc, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x564b7667, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xbb1534a2, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1885ebc, "__module_get" },
	{ 0x76ffde5e, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x28d8bd4c, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xa335a241, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xce4cc473, "proc_create_net_data" },
	{ 0x7e0f3279, "pskb_expand_head" },
	{ 0x3a84cb85, "register_pernet_subsys" },
	{ 0xf9f62086, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7aeb3d19, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x8aa53ea7, "nf_unregister_sockopt" },
	{ 0xacc0355c, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x428c40d4, "nf_register_net_hooks" },
	{ 0x6e67d22d, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x2bbddb22, "__alloc_skb" },
	{ 0x560eccac, "ipv6_sock_mc_join" },
	{ 0x4512f3c1, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x800473f, "__cond_resched" },
	{ 0x45d8317a, "ipv6_dev_get_saddr" },
	{ 0xdd0899db, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8607670, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf4521264, "sk_skb_reason_drop" },
	{ 0xc84667f8, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfa58e343, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x52e11bb9, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x9dc4b515, "skb_push" },
	{ 0x70e3561, "kmem_cache_free" },
	{ 0x6597ecfc, "set_cpus_allowed_ptr" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x51725dac, "seq_putc" },
	{ 0xff182e8, "nla_put" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0x17e3ac26, "nf_ct_expect_alloc" },
	{ 0x96f9f7f5, "skb_ensure_writable" },
	{ 0x8d8a00c9, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8e5bb784, "ip_mc_join_group" },
	{ 0x3b1ea22e, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6323d1c, "ns_capable" },
	{ 0x73fe1ac1, "nf_unregister_net_hooks" },
	{ 0x137e44f, "inet_select_addr" },
	{ 0x76f45c9c, "unregister_pernet_device" },
	{ 0x8d0ad530, "lock_sock_nested" },
	{ 0xe8aeb8e1, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x63f37e3c, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf329ddeb, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfa7d5464, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xa882d6c7, "kernel_connect" },
	{ 0x30cb02e9, "skb_checksum" },
	{ 0x7d576e6a, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x79b045b6, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf23f0f7a, "__pskb_pull_tail" },
	{ 0x66e16265, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xeee27d6d, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x906a7f34, "skb_trim" },
	{ 0x797a126c, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x9b58f1c1, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x35bae85e, "nf_ct_deliver_cached_events" },
	{ 0xade9a3f6, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcacf5efb, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7ac3ceb, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x61e0d2dd, "skb_set_owner_w" },
	{ 0xfbc24110, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b2b33ae, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8de96939, "init_user_ns" },
	{ 0x331b0ef8, "nf_ct_expect_init" },
	{ 0x9ccf54c9, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xda38255, "remove_proc_entry" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1879a748, "seq_printf" },
	{ 0x2e334bf9, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xf2cfa3f2, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xa4f3f022, "ipv4_update_pmtu" },
	{ 0xb343662, "nf_defrag_ipv6_enable" },
	{ 0xde76928d, "dst_release" },
	{ 0xc1903c56, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x9d192f2e, "ip_local_out" },
	{ 0xc313b930, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x142d9220, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe281fa8b, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc0631645, "genl_register_family" },
	{ 0xe350f444, "kernel_sendmsg" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x28841ae1, "nf_ct_netns_put" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb60dc37d, "register_pernet_device" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x91bd536d, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x66ab446f, "kmem_cache_destroy" },
	{ 0xf694703, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "9C959DF43C66D5514E74CA4");
MODULE_INFO(rhelversion, "10.1");
