#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x7c384d3a, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0x68ad6d45, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xaab28ca9, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xa7a2ba2e, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xeb9261ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda82a458, "__do_once_done" },
	{ 0x37289a14, "ip6_route_input_lookup" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x1f6f3d0b, "dev_pre_changeaddr_notify" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xc96853ab, "dev_mc_sync" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xc39a5325, "netdev_is_rx_handler_busy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xeea9187c, "netdev_update_features" },
	{ 0x80eac261, "consume_skb" },
	{ 0xf61482ea, "ip6_local_out" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x2047736b, "dev_uc_sync" },
	{ 0x868a0bce, "rtnl_link_register" },
	{ 0x65846c03, "netif_inherit_tso_max" },
	{ 0x3835df48, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x76ffde5e, "ip_route_output_flow" },
	{ 0xd1cac30c, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x8ca44dec, "dev_uc_unsync" },
	{ 0x67ca432f, "ether_setup" },
	{ 0xb49ab3b9, "netdev_err" },
	{ 0xf0d0b5af, "netdev_upper_dev_link" },
	{ 0x3a84cb85, "register_pernet_subsys" },
	{ 0xf6babb7b, "dev_addr_mod" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xc0e0ea02, "eth_header_parse" },
	{ 0x6c99b782, "netdev_rx_handler_unregister" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x595e8fa0, "eth_header_cache_update" },
	{ 0x428c40d4, "nf_register_net_hooks" },
	{ 0x6e67d22d, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x46e11104, "ip_route_input_noref" },
	{ 0x800473f, "__cond_resched" },
	{ 0x6d3a6e54, "__dev_get_by_index" },
	{ 0xfd6aa7b8, "rtnl_link_unregister" },
	{ 0xb02c10f4, "skb_pull" },
	{ 0xf4521264, "sk_skb_reason_drop" },
	{ 0xec0a6667, "netif_stacked_transfer_operstate" },
	{ 0xaff77c8, "netdev_upper_dev_unlink" },
	{ 0xff182e8, "nla_put" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6323d1c, "ns_capable" },
	{ 0x73fe1ac1, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x56bab201, "ethtool_op_get_link" },
	{ 0xc34299cc, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xfa7d5464, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf23f0f7a, "__pskb_pull_tail" },
	{ 0xd91d51ad, "netif_rx" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x97ac26cf, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x6660f429, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb7b609bb, "vlan_vid_add" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x9b11f70d, "call_netdevice_notifiers" },
	{ 0xea7452fd, "vlan_vid_del" },
	{ 0xcf66dd2d, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3ec239c4, "skb_clone" },
	{ 0xde76928d, "dst_release" },
	{ 0x8c7433f4, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9d192f2e, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x2e7c1355, "eth_header_parse_protocol" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x7c305345, "dev_mc_unsync" },
	{ 0xf969690d, "dev_change_flags" },
	{ 0x2a52acdf, "netdev_core_stats_inc" },
	{ 0xb1729157, "dev_forward_skb" },
	{ 0x91bd536d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe32ee5e4, "register_netdevice" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A1235F784247220B8ED5F1D");
MODULE_INFO(rhelversion, "10.1");
