#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x38bac2f8, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x8344ab06, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xdf882a09, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x642feb22, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x230905b2, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x93e89672, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x0ed16f48, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xb204b989, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x3aeec1f8, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xd201930e, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0xaa588064, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x881faa87, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xac13ac54, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0xaf32406a, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xc6d32a31, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x2e7843a8, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x1b61cec6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x869080cc, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xd1c76de2, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x94f4b9f, "vmemmap" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x69f51577, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x64f43ad4, "crypto_ahash_final" },
	{ 0x9e1057c0, "crypto_ahash_digest" },
	{ 0x6ec439df, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0xf470746e, "skb_prepare_seq_read" },
	{ 0xcebb4b24, "skb_seq_read" },
	{ 0x18a06508, "skb_abort_seq_read" },
	{ 0x92abb88c, "iscsi_conn_failure" },
	{ 0x16fa13f0, "iscsi_conn_setup" },
	{ 0xc48e7e7a, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb32662a6, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x72fddb61, "__traceiter_iscsi_dbg_tcp" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x96a4c157, "iscsi_itt_to_ctask" },
	{ 0x11b484ec, "iscsi_get_task" },
	{ 0x6547f5d4, "iscsi_update_cmdsn" },
	{ 0xdf123839, "iscsi_requeue_task" },
	{ 0xe8d9b0dd, "iscsi_put_task" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x57990fc3, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x920f8a17, "iscsi_complete_pdu" },
	{ 0xa492812b, "iscsi_verify_itt" },
	{ 0x11fa232a, "__iscsi_complete_pdu" },
	{ 0xe281fa8b, "param_ops_int" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "10.1");
