#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x7825d466, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xe10d81bf, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x086b10aa, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x735bb5c4, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x1a935a10, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xe3fd3e14, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0xa9b4215b, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xe2e7b38f, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x3ce7a4b8, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xcc745a18, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcfcfd41a, "dst_cache_set_ip4" },
	{ 0xd11137d0, "kernel_bind" },
	{ 0x564b7667, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fc2d1f6, "netdev_warn" },
	{ 0x54141736, "udp_tunnel_nic_ops" },
	{ 0x76ffde5e, "ip_route_output_flow" },
	{ 0x4ed345bb, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x382bc2ad, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d202c7b, "iptunnel_xmit" },
	{ 0xff182e8, "nla_put" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xa882d6c7, "kernel_connect" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x906a7f34, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x21131ff3, "__dynamic_netdev_dbg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7ae036a0, "dst_cache_get_ip4" },
	{ 0x3b2b33ae, "sock_create_kern" },
	{ 0x9b11f70d, "call_netdevice_notifiers" },
	{ 0xa06c1497, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x67ef1c98, "metadata_dst_alloc" },
	{ 0xde76928d, "dst_release" },
	{ 0xc1903c56, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2956b4df, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x91bd536d, "kmalloc_caches" },
	{ 0x68c9bdfc, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DACA5850397D94AAFBE6EC8");
MODULE_INFO(rhelversion, "10.1");
